> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone number by id

> Retrieves a single phone number.



## OpenAPI

````yaml /api-reference/mobilerun-numbers.yaml get /numbers/phones/{id}
openapi: 3.1.0
info:
  title: Mobilerun Numbers
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /numbers/phones/{id}:
    get:
      tags:
        - Numbers
      summary: Get phone number by id
      description: Retrieves a single phone number.
      operationId: getNumber
      parameters:
        - schema:
            type: string
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Number retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PublicNumber'
                required:
                  - data
        '401':
          description: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
        '503':
          description: >-
            Service Unavailable — phone numbers are disabled for this deployment
            (see `reason`)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NumberErrorResponse'
components:
  schemas:
    PublicNumber:
      type: object
      properties:
        id:
          type: string
          format: uuid
        phoneNumber:
          type:
            - string
            - 'null'
        state:
          type: string
          enum:
            - awaiting_payment
            - provisioning
            - active
            - cancel_scheduled
            - expired
            - failed
        countryCode:
          type:
            - string
            - 'null'
        capabilities:
          type:
            - array
            - 'null'
          items:
            type: string
            enum:
              - sms
              - voice
        canSend:
          type: boolean
        purpose:
          type:
            - string
            - 'null'
        checkoutUrl:
          type:
            - string
            - 'null'
        currentPeriodEnd:
          type:
            - string
            - 'null'
          format: date-time
        cancelAtPeriodEnd:
          type: boolean
        cancellable:
          type: boolean
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - phoneNumber
        - state
        - countryCode
        - capabilities
        - canSend
        - purpose
        - checkoutUrl
        - currentPeriodEnd
        - cancelAtPeriodEnd
        - cancellable
        - createdAt
        - updatedAt
    NumberErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        reason:
          type: string
          enum:
            - product_disabled
            - not_cancellable
        message:
          type: string
      required:
        - success
        - reason
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````